Subject: Re: [nemo] Re: comments on draft-ietf-nemo-dhcpv6-pd-00.txt

From: Ryuji Wakikawa <[email-masked]>
Date: Tue, 6 Sep 2005 01:56:08 +0900

Hello Pascal and Vijay

I read the draft and feel the same impression with Vijay. I agree  
with Vijay.
The section 3.2 is not directly related to the NEMO PD.
We had the consensus not to include local mobility management in  
DHCPv6PD
at the Minneapolis meeting (forget maybe somewhere else).

Here are more comments.

Can MR can skip DHCP server discovery sending message to FF02::1:2 ?
If MR knows the HA, MR can send request message to the HA without DR  
discovery.

On the other hand, If MR does not know the HA, can MR use DHCP6PD as  
an alternative HA discovery mechanism?
Or, MR rather do DHAAD to know a HA first, then it sends an address  
request message to the known HA?

When there are multiple HAs available at a home link, do you assume  
only one of HA supports DR?

regards,
ryuji

On 2005/08/31, at 3:45, Vijay Devarapalli wrote:

> Pascal Thubert (pthubert) wrote:
>
>>>
>>> I quickly glanced through the draft. looks good.
>>>
>>> I have one concern. section 3.2 does not belong in this
>>> draft. in RFC 3963, the assumption is that the prefixes
>>> assigned to the mobile network always comes from the
>>> home link. never from the access link.
>>>
>>> I dont think there was any discussion on the mailing
>>> list on this to include it in a WG document. did I miss
>>> the discussion?
>>>
>>>
>>>
>>>>   A Mobile Router may also obtain a temporary delegated prefix from
>>>>
>> its
>>
>>>>   Access Router (acting as a DHCPv6PD DR) while the MR is roaming
>>>>   within the AR space.
>>>>
>>>
>>> what is "roaming within the AR space"? the access router
>>> is the first hop router to which the mobile router is
>>> attached to.
>>>
>>>
>> [<PT>] This is an opening to DHCPv6PD based Local Mobility  
>> Management.
>> This is a leftover from the text we removed from the draft (the LMM
>> part). We do not specify it any more here, but we do not prevent it
>> either. The sentence says it's possible, which is true. But the  
>> sentence
>> can be removed without hurting the rest of the spec. Votes?
>> And I agree the AR term is ill chosen. The AR space is some kind of
>> domain within which it makes sense to use the delegated prefix for  
>> LMM.
>>
>
> this is bad. there was never any consensus to include something
> like this in DHCPv6 based prefix delegation. I dont think NEMO is
> supposed to work on Local Mobility Management. IMO, section 3.2
> needs to be removed. I think the document would advance quickly
> without this section.
>
> Vijay
>
>

---

From: Vijay Devarapalli <[email-masked]>
Date: Tue, 06 Sep 2005 19:14:20 -0700

> If MR knows the HA, MR can send request message to the HA without DR  

yes, this should be supported.

> On the other hand, If MR does not know the HA, can MR use DHCP6PD as  an 
> alternative HA discovery mechanism?

no. the MR can't reach the DHCPv6 server on the home link. are you
suggesting using the DHCP server on the visited link to allocate
a HA from the home link?

> request message to the known HA?

yes. or use DNS to discover the HA as described in 
draft-ietf-mip6-bootstrap-split

> only one of HA supports DR?

whats the issue in having all HAs as DHCP relay agents?

Vijay

---

From: Ralph Droms <[email-masked]>
Date: Wed, 28 Sep 2005 08:48:55 -0400

(picking up an old thread; I'm revising draft-ietf-nemo-dhcpv6-pd-00.txt
based on these comments)

> If MR knows the HA, MR can send request message to the HA without DR  

I'm leery of making this fundamental change to the specification in RFC
3315 without dhc WG review.

Uf the goal is to reduce the number of messages exchanged, the Rapid
Commit option allows a 2 message exchange for PD.

(remainder of earlier message elided)

---

From: Vijay Devarapalli <[email-masked]>
Date: Thu, 29 Sep 2005 11:14:21 -0700

> Commit option allows a 2 message exchange for PD.

I am fine with this.

Vijay